summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2017-10-30 07:20:13 +0100
committerPatrice Clement <monsieurp@gentoo.org>2017-10-31 00:16:56 +0100
commitfabddc466a1d9bd2a6c11358ea553d225420a069 (patch)
tree5e3e4924ac5dbf4fa6e775e94a76adcae435c1ac /app-benchmarks/sysbench
parentapp-eselect/eselect-electron: version bump. (diff)
downloadgentoo-fabddc466a1d9bd2a6c11358ea553d225420a069.tar.gz
gentoo-fabddc466a1d9bd2a6c11358ea553d225420a069.tar.bz2
gentoo-fabddc466a1d9bd2a6c11358ea553d225420a069.zip
app-benchmarks/sysbench: version bump to 1.0.10.
Package-Manager: Portage-2.3.12, Repoman-2.3.4 Closes: https://github.com/gentoo/gentoo/pull/6080
Diffstat (limited to 'app-benchmarks/sysbench')
-rw-r--r--app-benchmarks/sysbench/Manifest1
-rw-r--r--app-benchmarks/sysbench/sysbench-1.0.10.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/app-benchmarks/sysbench/Manifest b/app-benchmarks/sysbench/Manifest
index 8fd79c62908..59896894096 100644
--- a/app-benchmarks/sysbench/Manifest
+++ b/app-benchmarks/sysbench/Manifest
@@ -1,3 +1,4 @@
+DIST sysbench-1.0.10.tar.gz 1496937 SHA256 34cfe9989a4610c15359a2d88b59a09f5c18846f42ce49175953c3e600deebbe SHA512 3e2c9597538c9b71a50a0fb0e198f8852206fc609b0968253ee6b12f652fd56f1b2c6e7a4c93161b725e5c56193f7ce9d5cf58c4882839a4c1055c539861d16d WHIRLPOOL ba48eb85e3ae0533bcd73686b8657acaf2843e04c6f339f21ee00009e8ab20978f128762536833e0f1e24d8c68d42bfbedb42778db6cdc6dd3b943d9a2e41872
DIST sysbench-1.0.6.tar.gz 1493941 SHA256 cd23c622da3d3267885ed126540dc04c578ee16c3d31307e21b5acd8e4036eda SHA512 d17a8a8b2387458b467b3e5034b37cb075ffc444c5576013fe7ac3d390c110e0fb4bc6a39f9b350f7ce9b40f3f039e0af9eb84ffafe9ab05a8be5b36ac5b56ac WHIRLPOOL 8d1073a720fd8220769a509677e3d638d93d6aca247a5d2c9017eae3e05391a63e28fade0d306e56a82c5835db58926178e66f1ef94859e2f65497cbe89a172e
DIST sysbench-1.0.7.tar.gz 1494571 SHA256 db91521e70b0d1a6fccc60a8d4acadacb3f9328e8ab6802ae82f93393a688d43 SHA512 0b32ad27180ab02df9c2e5e85a8b9bec231338cfb20d7337dd80f1e0628b48bae480fde9d69cd21730aa0ab7c65fecbede9c10cd4b96d0dcf44cd012afa10d65 WHIRLPOOL f33c7d328ce1bec01321656b65123a6b790647f36db7351f6cae5340ee8678c66dc3a4d05a36babe8bec51b42ee0fff937b9c28fa2697408fca5842af50072e1
DIST sysbench-1.0.8.tar.gz 1494988 SHA256 2dad131a99578999c8159eccd2f7ec1b9da4eca9e646dfeb838cf72c00862d69 SHA512 1baba00dc116a97295e4be26488598d160b7688739b08551d0cf2089bcd0f89a0c8edba6faa3634ea98955aecc04966e8328e79978352647ed764dcbe170566f WHIRLPOOL e1b13661adbe00b86bc5533962974c6eb3869e71392e7815a50543fbd50bae3f843a932c02f8a17decd5ac4fac644f52b564b1c1073292e6778dafe1d7b9eeac
diff --git a/app-benchmarks/sysbench/sysbench-1.0.10.ebuild b/app-benchmarks/sysbench/sysbench-1.0.10.ebuild
new file mode 100644
index 00000000000..899409479d8
--- /dev/null
+++ b/app-benchmarks/sysbench/sysbench-1.0.10.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit pax-utils
+
+DESCRIPTION="System performance benchmark"
+HOMEPAGE="https://github.com/akopytov/sysbench"
+SRC_URI="https://github.com/akopytov/sysbench/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="aio mysql postgres test"
+
+RDEPEND="aio? ( dev-libs/libaio )
+ mysql? ( virtual/libmysqlclient )
+ postgres? ( dev-db/postgresql:= )"
+DEPEND="${RDEPEND}
+ app-editors/vim-core
+ dev-lang/luajit:=
+ dev-libs/concurrencykit
+ dev-libs/libxslt
+ sys-devel/libtool:=
+ virtual/pkgconfig
+ test? ( dev-util/cram )"
+
+src_prepare() {
+ default
+
+ sed -i -e "/^htmldir =/s:=.*:=/usr/share/doc/${PF}/html:" doc/Makefile.am || die
+
+ # remove bundled libs
+ rm -r third_party/luajit/luajit third_party/concurrency_kit/ck third_party/cram || die
+
+ ./autogen.sh || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable aio aio)
+ $(use_with mysql mysql)
+ $(use_with postgres pgsql)
+ --without-attachsql
+ --without-drizzle
+ --without-oracle
+ --with-system-luajit
+ --with-system-ck
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ pax-mark m "${S}/src/${PN}"
+}
+
+src_test() {
+ emake check test
+}